# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.91.1"
name = "feldera-types"
version = "0.261.0"
authors = ["Feldera Team <dev@feldera.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Public API types for Feldera"
homepage = "https://github.com/feldera/feldera"
readme = "README.md"
keywords = [
    "ivm",
    "analytics",
    "database",
    "incremental",
    "sql",
]
categories = [
    "database",
    "api-bindings",
    "network-programming",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/feldera/feldera"
resolver = "2"

[features]
testing = [
    "proptest",
    "proptest-derive",
    "feldera-ir/testing",
]

[lib]
name = "feldera_types"
path = "src/lib.rs"

[dependencies.actix-web]
version = "4.11.0"

[dependencies.anyhow]
version = "1.0.91"
features = ["backtrace"]

[dependencies.arrow-schema]
version = "57"
features = ["serde"]

[dependencies.async-nats]
version = "0.44.2"

[dependencies.bytemuck]
version = "1.16.3"
features = ["derive"]

[dependencies.chrono]
version = "0.4.43"
features = ["serde"]
default-features = false

[dependencies.clap]
version = "4.5"
features = [
    "derive",
    "env",
]

[dependencies.enum-map]
version = "2.7.3"

[dependencies.erased-serde]
version = "0.3.31"

[dependencies.feldera-ir]
version = "0.261.0"

[dependencies.libc]
version = "0.2.153"

[dependencies.log]
version = "0.4.20"

[dependencies.proptest]
version = "1.5.0"
optional = true

[dependencies.proptest-derive]
version = "0.5.0"
optional = true

[dependencies.regex]
version = "1.10.2"

[dependencies.serde]
version = "1.0.213"
features = [
    "derive",
    "rc",
]

[dependencies.serde_json]
version = "1.0.132"
features = [
    "arbitrary_precision",
    "raw_value",
]

[dependencies.serde_yaml]
version = "0.9.34"

[dependencies.thiserror]
version = "2"

[dependencies.time]
version = "0.3.47"
features = [
    "serde",
    "serde-well-known",
]

[dependencies.url]
version = "2.5.0"
features = ["serde"]

[dependencies.utoipa]
version = "4.2"
features = [
    "uuid",
    "chrono",
]

[dependencies.uuid]
version = "1.17.0"
features = [
    "serde",
    "v7",
]

[dev-dependencies.csv]
version = "1.2.2"

[dev-dependencies.tempfile]
version = "3.21"
